<?xml version="1.0" encoding="utf-8" ?>
<nlog xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
      xmlns="http://www.nlog-project.org/schemas/NLog.xsd">
    <extensions>
        <add assembly="xunit.NLog"/>
    </extensions>
    <targets>
        <target name="tracefile" xsi:type="File" fileName="${var:logDirectory}/Trace-${date:format=yyyy-MM-dd}.log"/>
        <target name="infofile" xsi:type="File" fileName="${var:logDirectory}/Info-${date:format=yyyy-MM-dd}.log"/>
        <target name="errorfile" xsi:type="File" fileName="${var:logDirectory}/Error-${date:format=yyyy-MM-dd}.log"/>
    </targets>
    <rules>
        <!-- <logger name="*" minlevel="Info" writeTo="logconsole" /> -->
        <logger name="*" minlevel="Trace" writeTo="tracefile"/>
        <logger name="*" minlevel="Info" writeTo="infofile"/>
        <logger name="*" minlevel="Error" writeTo="errorfile"/>
    </rules>
</nlog>